C                                           2
C   Program to solve quadratic equation:  ax  + bx + c
C
C               ---------
C          +   / 2
C       -b - \/ b  - 4ac
C   x = -----------------
C             2a
C
C234567*****************************************************************
C declarations

	real a, b, c, x1, x2, underradical

C

	print *, 'Type in a b and c separated by blanks, then hit RETURN'
	read *, a, b, c

C	now go ahead and compute values

	underradical = (b**2) - (4 * a * c )
	x1 = ( -(b) - (sqrt(underradical)) ) / ( 2 * a)
	x2 = ( -(b) + (sqrt(underradical)) ) / ( 2 * a)

C	print results

	print *, 'The two roots are: ', x1, x2

C	and go home

 200	print *, 'Exiting, bye!'
	end

